#
# spec file for package nagios-plugins-tftp
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.


# norootforbuild


Name:           nagios-plugins-tftp
Summary:        Nagios plugin to check a tftp server
Version:        0.1.2
Release:        1.1
Url:            http://isle.wumpus.org/src/nagios/
License:        BSD 4-Clause
Group:          System/Monitoring
Source0:        check_tftp.pl
%if 0%{?suse_version} > 1010
# nagios can execute the script with embedded perl
Recommends:     perl 
%endif
Requires:       tftp
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define		    libexecdir %_prefix/lib/nagios/plugins

%description
This plugin checks for availability of a TFTP Server, 
which is normaly used for booting clients over the network.

It downloads a test file from the TFTP server and checks its size against a
given value.


Authors:
--------
    O'Shaughnessy Evans

%prep

%build

%install
mkdir -p %buildroot/%libexecdir
sed -e "s|/usr/local/libexec/nagios|%libexecdir|g; \
        s|/usr/local/bin/perl|%{_bindir}/perl|g" %{SOURCE0} > %buildroot/%libexecdir/check_tftp
chmod +x %buildroot/%libexecdir/check_tftp

%clean
rm -rf %buildroot

%files 
%defattr(-,root,root)
# avoid build dependecy of nagios - own the dirs
%dir %_prefix/lib/nagios
%dir %libexecdir
%libexecdir/check_tftp

%changelog
* Fri Oct 23 2009 lars@linux-schulserver.de
- initial version v0.1.2
